ランタイム: Mix::Scene::ITerrainModel Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::ITerrainModel Class Referenceabstract

テラインモデルインターフェース More...

`#include <ITerrainModel.h>`

Inheritance diagram for Mix::Scene::ITerrainModel:
[legend]
Collaboration diagram for Mix::Scene::ITerrainModel:
[legend]

## Public Types

enum | CLONE_FLAGS { C_SHARED_MATERIAL = 0x00000001, C_ALL = ( C_SHARED_MATERIAL ) }
| クローンフラグ列挙定数 More...
Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Public Member Functions

virtual const wchar_t * | GetName (void) const =0
| 名前を取得します More...
virtual void | SetWorldPosition (const Mix::Vector3 &pos)=0
| 位置を設定します More...
virtual const Mix::Vector3 & | GetWorldPosition (void) const =0
| 位置を取得します More...
virtual Boolean | ExistsCollider (void) const =0
| コライダーが存在するかどうかを確認します More...
virtual Boolean | GetCollider (Mix::Scene::ITerrainCollider **ppCollider)=0
| コライダーを取得します More...
virtual Boolean | Clone (Mix::Scene::ITerrainModel **ppMapModel, UInt32 flags=Mix::Scene::ITerrainModel::C_ALL)=0
| 自身のクローンを作成します More...
Public Member Functions inherited from Mix::Scene::IModel
virtual UInt32 | GetMaterialSlotCount (void) const =0
| マテリアルスロットの数を取得します More...
virtual const wchar_t * | GetMaterialSlotName (UInt32 slotIndex) const =0
| マテリアルスロットの名前を取得します More...
virtual UInt32 | GetMaterialSlotIndex (const wchar_t *pSlotName)=0
| マテリアルスロットのインデックスを取得します More...
virtual Boolean | GetMaterialByIndex (UInt32 slotIndex, Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルを取得します More...
virtual Boolean | GetMaterialByName (const wchar_t *pSlotName, Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルを取得します More...
virtual Boolean | SetMaterialByIndex (UInt32 slotIndex, Mix::Scene::IMaterial *pMaterial)=0
| マテリアルを設定します More...
virtual Boolean | SetMaterialByName (const wchar_t *pSlotName, Mix::Scene::IMaterial *pMaterial)=0
| マテリアルを設定します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Scene::IEntity
virtual Boolean | IsDraw (void) const =0
| 描画するかどうかを確認します More...
virtual void | SetDraw (Boolean state)=0
| 描画するかどうかを設定します More...
virtual Boolean | IsLocalLighting (void) const =0
| ポイントライト、スポットライトによるライティングを行うかどうかを確認します More...
virtual void | SetLocalLighting (Boolean state)=0
| ポイントライト、スポットライトによるライティングを行うかどうかを設定します More...
virtual UInt32 | GetTransparencyPriority (void) const =0
| 半透明ポリゴンの描画の優先度を取得します More...
virtual void | SetTransparencyPriority (UInt32 priority)=0
| 半透明ポリゴンの描画の優先度を設定します More...
virtual Mix::Scene::WATER_CONTAINS_RESULT | GetDefaultWaterContainsResult (void) const =0
| 水中かどうかを判定する際のデフォルト値を取得します More...
virtual void | SetDefaultWaterContainsResult (Mix::Scene::WATER_CONTAINS_RESULT result)=0
| 水中かどうかを判定する際のデフォルト値を設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ITerrainModel (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IModel
virtual | ~IModel (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IEntity
virtual | ~IEntity (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

テラインモデルインターフェース

## Member Enumeration Documentation

enum Mix::Scene::ITerrainModel::CLONE_FLAGS

クローンフラグ列挙定数

Enumerator
C_SHARED_MATERIAL | マテリアルを共有する
C_ALL | 全て

## Constructor & Destructor Documentation

virtual Mix::Scene::ITerrainModel::~ITerrainModel | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const wchar_t* Mix::Scene::ITerrainModel::GetName | ( | void |  | ) | const

pure virtual

名前を取得します

Returns
  名前を返します

virtual void Mix::Scene::ITerrainModel::SetWorldPosition | ( | const Mix::Vector3 & | pos | ) |

pure virtual

位置を設定します

Parameters

  [in] | pos | 位置を表す Mix::Vector3 クラス

Note
  位置を設定した場合、全てのノードのAABB(境界ボリューム)を更新する必要があるため、
  不必要にこのメソッドを呼び出すことはしないでください。

virtual const Mix::Vector3& Mix::Scene::ITerrainModel::GetWorldPosition | ( | void |  | ) | const

pure virtual

位置を取得します

Returns
  位置を表す Mix::Vector3 クラスを返します

virtual Boolean Mix::Scene::ITerrainModel::ExistsCollider | ( | void |  | ) | const

pure virtual

コライダーが存在するかどうかを確認します

Returns
  存在する場合は True を返します

virtual Boolean Mix::Scene::ITerrainModel::GetCollider | ( | Mix::Scene::ITerrainCollider ** | ppCollider | ) |

pure virtual

コライダーを取得します

Parameters

  [out] | ppCollider | 取得したコライダーを渡す Mix::Scene::ITerrainCollider インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

Note
  取得に成功した場合は、コライダーの参照カウンタを +1 します

virtual Boolean Mix::Scene::ITerrainModel::Clone | ( | Mix::Scene::ITerrainModel ** | ppMapModel,
|  | UInt32 | flags = `Mix::Scene::ITerrainModel::C_ALL`
| ) |  |

pure virtual

自身のクローンを作成します

Parameters

  [out] | ppMapModel | 自身のクローンを渡す Mix::Scene::IMapModel インターフェースのポインタのアドレス
  [in] | flags | クローンのフラグを表す Mix::Scene::IActorModel::CLONE_FLAGS 列挙定数の組み合わせ

Returns
  成功した場合は True を返します

The documentation for this class was generated from the following file:

- Mix/Scene/ITerrainModel.h